<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet
  xmlns:kinako="http://www.oracle.com/XSL/Transform/java/org.logical_paradox.kinako.logic.ExtendedXSLTHandler"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">
	<xsl:output method="html" encoding="Shift_JIS"/>

	<xsl:param name="keyword" select="x"/>
	<xsl:template match="/result-set">
		<xsl:for-each select="record">
			<a>
				<xsl:attribute name="href">
					<xsl:value-of select="site/@url"/>
				</xsl:attribute>
				<xsl:value-of select="site/@title"/>
			</a>
			<i><span class="site"><xsl:value-of select="site/@name"/></span></i><br/>
		    <span class="summary"><xsl:value-of select="kinako:emphasis($keyword,site/@summary)" disable-output-escaping="yes"/></span><br/>
		    <span class="url"><xsl:value-of select="site/@url"/></span>
			<br/><br/>
		</xsl:for-each>
	  </xsl:template> 
</xsl:stylesheet>
